NX Open C++ Reference Guide
|
Represents a Annotations::AngularDimension builder
This is an abstract class and cannot be instantiated.
More...
Public Member Functions | |
void | AlternateAngle () |
Alternate angle Created in NX9.0.0. | |
NXOpen::Annotations::AppendedTextBuilder * | AppendedText () |
Returns the appended text Created in NX9.0.0. | |
NXOpen::SelectDisplayableObject * | FirstAssociativity () |
Returns the first associativity Created in NX9.0.0. | |
NXOpen::Direction * | FirstVector () |
Returns the first vector Created in NX9.0.0. | |
NXOpen::View * | FirstVectorView () |
Returns the first vector view Created in NX9.0.0. | |
bool | GetFirstAssociativityVectorFlipped () |
First associativity vector flipped. | |
bool | GetSecondAssociativityVectorFlipped () |
Second associativity vector flipped. | |
NXOpen::Annotations::SelectDimension * | Inherit () |
Returns the inherit Created in NX9.0.0. | |
NXOpen::Annotations::OriginBuilder * | Origin () |
Returns the origin Created in NX9.0.0. | |
NXOpen::SelectDisplayableObject * | SecondAssociativity () |
Returns the second associativity Created in NX9.0.0. | |
NXOpen::Direction * | SecondVector () |
Returns the second vector Created in NX9.0.0. | |
NXOpen::View * | SecondVectorView () |
Returns the second vector view Created in NX9.0.0. | |
void | SetFirstAssociativityVectorFlipped (bool firstVectorFlipped) |
First associativity vector flipped Created in NX9.0.0. | |
void | SetFirstVector (NXOpen::Direction *firstVector) |
Sets the first vector Created in NX9.0.0. | |
void | SetFirstVectorView (NXOpen::View *firstVectorView) |
Sets the first vector view Created in NX9.0.0. | |
void | SetSecondAssociativityVectorFlipped (bool secondVectorFlipped) |
Second associativity vector flipped Created in NX9.0.0. | |
void | SetSecondVector (NXOpen::Direction *secondVector) |
Sets the second vector Created in NX9.0.0. | |
void | SetSecondVectorView (NXOpen::View *firstVectorView) |
Sets the second vector view Created in NX9.0.0. | |
NXOpen::Annotations::StyleBuilder * | Style () |
Returns the style Created in NX9.0.0. | |
![]() | |
NXOpen::NXObject * | Commit () |
Commits any edits that have been applied to the builder. | |
void | Destroy () |
Deletes the builder, and cleans up any objects created by the builder. | |
std::vector< NXOpen::NXObject * > | GetCommittedObjects () |
For builders that create more than one object, this method returns the objects that are created by commit. | |
NXOpen::NXObject * | GetObject () |
Returns the object currently being edited by this builder. | |
void | ShowResults () |
Updates the model to reflect the result of an edit to the model for all builders that support showing results. | |
virtual bool | Validate () |
Validate whether the inputs to the component are sufficient for commit to be called. | |
![]() | |
tag_t | GetTag () const |
<b>Deprecated</b>:<br> Use Tag instead. | |
tag_t | Tag () const |
Returns the tag of this object. | |
Represents a Annotations::AngularDimension builder
This is an abstract class and cannot be instantiated.
Created in NX9.0.0.
void NXOpen::Annotations::BaseAngularDimensionBuilder::AlternateAngle | ( | ) |
Alternate angle
Created in NX9.0.0.
License requirements : geometric_tol ("GDT") OR drafting ("DRAFTING") OR solid_modeling ("SOLIDS MODELING")
NXOpen::Annotations::AppendedTextBuilder* NXOpen::Annotations::BaseAngularDimensionBuilder::AppendedText | ( | ) |
Returns the appended text
Created in NX9.0.0.
License requirements : None
NXOpen::SelectDisplayableObject* NXOpen::Annotations::BaseAngularDimensionBuilder::FirstAssociativity | ( | ) |
Returns the first associativity
Created in NX9.0.0.
License requirements : None
NXOpen::Direction* NXOpen::Annotations::BaseAngularDimensionBuilder::FirstVector | ( | ) |
Returns the first vector
Created in NX9.0.0.
License requirements : None
NXOpen::View* NXOpen::Annotations::BaseAngularDimensionBuilder::FirstVectorView | ( | ) |
Returns the first vector view
Created in NX9.0.0.
License requirements : None
bool NXOpen::Annotations::BaseAngularDimensionBuilder::GetFirstAssociativityVectorFlipped | ( | ) |
First associativity vector flipped.
bool NXOpen::Annotations::BaseAngularDimensionBuilder::GetSecondAssociativityVectorFlipped | ( | ) |
Second associativity vector flipped.
NXOpen::Annotations::SelectDimension* NXOpen::Annotations::BaseAngularDimensionBuilder::Inherit | ( | ) |
Returns the inherit
Created in NX9.0.0.
License requirements : None
NXOpen::Annotations::OriginBuilder* NXOpen::Annotations::BaseAngularDimensionBuilder::Origin | ( | ) |
Returns the origin
Created in NX9.0.0.
License requirements : None
NXOpen::SelectDisplayableObject* NXOpen::Annotations::BaseAngularDimensionBuilder::SecondAssociativity | ( | ) |
Returns the second associativity
Created in NX9.0.0.
License requirements : None
NXOpen::Direction* NXOpen::Annotations::BaseAngularDimensionBuilder::SecondVector | ( | ) |
Returns the second vector
Created in NX9.0.0.
License requirements : None
NXOpen::View* NXOpen::Annotations::BaseAngularDimensionBuilder::SecondVectorView | ( | ) |
Returns the second vector view
Created in NX9.0.0.
License requirements : None
void NXOpen::Annotations::BaseAngularDimensionBuilder::SetFirstAssociativityVectorFlipped | ( | bool | firstVectorFlipped | ) |
First associativity vector flipped
Created in NX9.0.0.
License requirements : geometric_tol ("GDT") OR drafting ("DRAFTING") OR solid_modeling ("SOLIDS MODELING")
firstVectorFlipped | firstvectorflipped |
void NXOpen::Annotations::BaseAngularDimensionBuilder::SetFirstVector | ( | NXOpen::Direction * | firstVector | ) |
Sets the first vector
Created in NX9.0.0.
License requirements : drafting ("DRAFTING")
firstVector | firstvector |
void NXOpen::Annotations::BaseAngularDimensionBuilder::SetFirstVectorView | ( | NXOpen::View * | firstVectorView | ) |
Sets the first vector view
Created in NX9.0.0.
License requirements : drafting ("DRAFTING")
firstVectorView | firstvectorview |
void NXOpen::Annotations::BaseAngularDimensionBuilder::SetSecondAssociativityVectorFlipped | ( | bool | secondVectorFlipped | ) |
Second associativity vector flipped
Created in NX9.0.0.
License requirements : geometric_tol ("GDT") OR drafting ("DRAFTING") OR solid_modeling ("SOLIDS MODELING")
secondVectorFlipped | secondvectorflipped |
void NXOpen::Annotations::BaseAngularDimensionBuilder::SetSecondVector | ( | NXOpen::Direction * | secondVector | ) |
Sets the second vector
Created in NX9.0.0.
License requirements : drafting ("DRAFTING")
secondVector | secondvector |
void NXOpen::Annotations::BaseAngularDimensionBuilder::SetSecondVectorView | ( | NXOpen::View * | firstVectorView | ) |
Sets the second vector view
Created in NX9.0.0.
License requirements : drafting ("DRAFTING")
firstVectorView | firstvectorview |
NXOpen::Annotations::StyleBuilder* NXOpen::Annotations::BaseAngularDimensionBuilder::Style | ( | ) |
Returns the style
Created in NX9.0.0.
License requirements : None